# TdApi.CountryInfo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CountryInfo

Package it.tdlight.jni

# Class TdApi.CountryInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CountryInfo

Enclosing class:
  TdApi

    public static class TdApi.CountryInfo
    extends TdApi.Object

Contains information about a country.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`String[]` | `callingCodes` | List of country calling codes.
`static int` | `CONSTRUCTOR` |
`String` | `countryCode` | A two-letter ISO 3166-1 alpha-2 country code.
`String` | `englishName` | English name of the country.
`boolean` | `isHidden` | True, if the country must be hidden from the list of all countries.
`String` | `name` | Native name of the country.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CountryInfo()` | Contains information about a country.
`CountryInfo​(DataInput input)` |
`CountryInfo​(String countryCode, String name, String englishName, boolean isHidden, String[] callingCodes)` | Contains information about a country.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### countryCode

public String countryCode
A two-letter ISO 3166-1 alpha-2 country code.

### name

public String name
Native name of the country.

### englishName

public String englishName
English name of the country.

### isHidden

public boolean isHidden
True, if the country must be hidden from the list of all countries.

### callingCodes

public String[] callingCodes
List of country calling codes.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CountryInfo

public CountryInfo()
Contains information about a country.

### CountryInfo

public CountryInfo​(String countryCode, String name, String englishName, boolean isHidden, String[] callingCodes)
Contains information about a country.

Parameters:
  `countryCode` - String A two-letter ISO 3166-1 alpha-2 country code.
  `name` - String Native name of the country.
  `englishName` - String English name of the country.
  `isHidden` - boolean True, if the country must be hidden from the list of all countries.
  `callingCodes` - String[] List of country calling codes.

### CountryInfo

public CountryInfo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`